summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/python-report/files/bugs.sabayon.org.ini9
-rw-r--r--dev-python/python-report/files/python-report-0.10-disable-rpm.patch20
-rw-r--r--dev-python/python-report/files/python-report-0.10-fix-version-detection.patch22
-rw-r--r--dev-python/python-report/files/python-report-0.10-sabayon-defaults.patch54
-rw-r--r--dev-python/python-report/files/python-report-0.23-disable-Werror.patch9
-rw-r--r--dev-python/python-report/files/python-report-0.23-disable-rpm.patch19
-rw-r--r--dev-python/python-report/files/python-report-0.23-sabayon-config.patch55
-rw-r--r--dev-python/python-report/python-report-0.10-r1.ebuild63
-rw-r--r--dev-python/python-report/python-report-0.23.ebuild48
-rw-r--r--dev-python/pytox/metadata.xml7
-rw-r--r--dev-python/pytox/pytox-9999.ebuild28
11 files changed, 334 insertions, 0 deletions
diff --git a/dev-python/python-report/files/bugs.sabayon.org.ini b/dev-python/python-report/files/bugs.sabayon.org.ini
new file mode 100644
index 00000000..9fa29826
--- /dev/null
+++ b/dev-python/python-report/files/bugs.sabayon.org.ini
@@ -0,0 +1,9 @@
+[bugs.sabayon.org]
+# template
+template=bugzilla-template
+
+# rhbz url
+bugzilla_host=bugs.sabayon.org
+
+# rhbz login, a password is always asked.
+# username=user@example.com
diff --git a/dev-python/python-report/files/python-report-0.10-disable-rpm.patch b/dev-python/python-report/files/python-report-0.10-disable-rpm.patch
new file mode 100644
index 00000000..501bb703
--- /dev/null
+++ b/dev-python/python-report/files/python-report-0.10-disable-rpm.patch
@@ -0,0 +1,20 @@
+diff -Nurp python-report-0.10.orig/python/report/templates/bugzilla-template/__init__.py python-report-0.10/python/report/templates/bugzilla-template/__init__.py
+--- python-report-0.10.orig/python/report/templates/bugzilla-template/__init__.py 2010-04-02 19:32:19.729109477 +0200
++++ python-report-0.10/python/report/templates/bugzilla-template/__init__.py 2010-04-02 19:32:54.640917830 +0200
+@@ -106,7 +106,6 @@ import filer
+ def sendToBugzilla(component, signature, io, bzfiler,
+ optionsDict, fileName, fileDescription):
+
+- import rpmUtils.arch
+
+ class BugzillaCommunicationException (Exception):
+ pass
+@@ -204,7 +203,7 @@ def sendToBugzilla(component, signature,
+ bug = withBugzillaDo(bzfiler, lambda b: b.createbug(product=bzfiler.getproduct(),
+ component=component,
+ version=bzfiler.getversion(),
+- platform=rpmUtils.arch.getBaseArch(),
++ # platform=rpmUtils.arch.getBaseArch(),
+ bug_severity="medium",
+ priority="medium",
+ op_sys="Linux",
diff --git a/dev-python/python-report/files/python-report-0.10-fix-version-detection.patch b/dev-python/python-report/files/python-report-0.10-fix-version-detection.patch
new file mode 100644
index 00000000..d8f9b955
--- /dev/null
+++ b/dev-python/python-report/files/python-report-0.10-fix-version-detection.patch
@@ -0,0 +1,22 @@
+diff -Nurp python-report-0.10.orig//python/report/templates/bugzilla-template/filer.py python-report-0.10/python/report/templates/bugzilla-template/filer.py
+--- python-report-0.10.orig//python/report/templates/bugzilla-template/filer.py 2010-04-13 23:08:08.849090647 +0200
++++ python-report-0.10/python/report/templates/bugzilla-template/filer.py 2010-04-13 23:09:20.799052132 +0200
+@@ -61,15 +61,11 @@ def getVersion():
+ if os.path.exists(SYSTEM_VERSION_PATH):
+ file = open(SYSTEM_VERSION_PATH, "r")
+ content = file.read()
+- if content.find("Rawhide") > -1:
+- return "rawhide"
+-
+- clist = content.split(" ")
+- i = clist.index("release")
+- return clist[i+1]
++ file.close()
++ return content.strip().split()[-1]
+ else:
+ # default to rawhide
+- return "rawhide"
++ return "unknown"
+
+ class LoginError(Exception):
+ """An error occurred while logging into the bug reporting system."""
diff --git a/dev-python/python-report/files/python-report-0.10-sabayon-defaults.patch b/dev-python/python-report/files/python-report-0.10-sabayon-defaults.patch
new file mode 100644
index 00000000..4af6ec65
--- /dev/null
+++ b/dev-python/python-report/files/python-report-0.10-sabayon-defaults.patch
@@ -0,0 +1,54 @@
+diff -Nurp python-report-0.10.orig/python/report/templates/bugzilla-template/__init__.py python-report-0.10/python/report/templates/bugzilla-template/__init__.py
+--- python-report-0.10.orig/python/report/templates/bugzilla-template/__init__.py 2010-04-02 18:46:19.862030189 +0200
++++ python-report-0.10/python/report/templates/bugzilla-template/__init__.py 2010-04-02 18:56:47.102924468 +0200
+@@ -55,10 +55,10 @@ def displayURL(optionsDict):
+ def bugURL(optionsDict):
+ if 'bugURL' in optionsDict:
+ return optionsDict["bugURL"]
+- host = "bugzilla.redhat.com"
++ host = "bugs.sabayon.org"
+ if 'bugzilla_host' in optionsDict:
+ host = optionsDict["bugzilla_host"]
+- return "https://" + host + "/xmlrpc.cgi"
++ return "http://" + host + "/xmlrpc.cgi"
+
+ def report(signature, io, optionsDict):
+ if not io:
+@@ -130,8 +130,8 @@ def sendToBugzilla(component, signature,
+
+ try:
+ if not bzfiler:
+- bzfiler = filer.BugzillaFiler("https://bugzilla.redhat.com/xmlrpc.cgi",
+- "http://bugzilla.redhat.com",
++ bzfiler = filer.BugzillaFiler("http://bugs.sabayon.org/xmlrpc.cgi",
++ "http://bugs.sabayon.org",
+ filer.getVersion(), filer.getProduct())
+
+ if not bzfiler or not bzfiler.supportsFiling() or not bzfiler.bugUrl:
+diff -Nurp python-report-0.10.orig/python/report/templates/RHEL-template/__init__.py python-report-0.10/python/report/templates/RHEL-template/__init__.py
+--- python-report-0.10.orig/python/report/templates/RHEL-template/__init__.py 2010-04-02 18:46:19.862030189 +0200
++++ python-report-0.10/python/report/templates/RHEL-template/__init__.py 2010-04-02 18:56:33.214921519 +0200
+@@ -55,10 +55,10 @@ def displayURL(optionsDict):
+ def bugURL(optionsDict):
+ if optionsDict.has_key("bugURL"):
+ return optionsDict["bugURL"]
+- host = "bugzilla.redhat.com"
++ host = "bugs.sabayon.org"
+ if optionsDict.has_key("bugzilla_host"):
+ host = optionsDict["bugzilla_host"]
+- return "https://" + host + "/xmlrpc.cgi"
++ return "http://" + host + "/xmlrpc.cgi"
+
+ def report(signature, io, optionsDict):
+ if not io:
+@@ -131,8 +131,8 @@ def sendToBugzilla( component, hashmarke
+
+ try:
+ if not bzfiler:
+- bzfiler = filer.BugzillaFiler("https://bugzilla.redhat.com/xmlrpc.cgi",
+- "http://bugzilla.redhat.com",
++ bzfiler = filer.BugzillaFiler("http://bugs.sabayon.org/xmlrpc.cgi",
++ "http://bugs.sabayon.org",
+ filer.getVersion(), filer.getProduct())
+
+ if not bzfiler or not bzfiler.supportsFiling() or not bzfiler.bugUrl:
diff --git a/dev-python/python-report/files/python-report-0.23-disable-Werror.patch b/dev-python/python-report/files/python-report-0.23-disable-Werror.patch
new file mode 100644
index 00000000..e4bdc909
--- /dev/null
+++ b/dev-python/python-report/files/python-report-0.23-disable-Werror.patch
@@ -0,0 +1,9 @@
+--- a/configure.ac
++++ b/configure.ac
+@@ -1,5 +1,5 @@
+ AC_INIT([report], [0.23])
+-AM_INIT_AUTOMAKE([-Wall -Werror foreign])
++AM_INIT_AUTOMAKE([-Wall foreign])
+ AC_PROG_CC
+ AC_PROG_CXX
+ AC_PROG_LIBTOOL
diff --git a/dev-python/python-report/files/python-report-0.23-disable-rpm.patch b/dev-python/python-report/files/python-report-0.23-disable-rpm.patch
new file mode 100644
index 00000000..4a110930
--- /dev/null
+++ b/dev-python/python-report/files/python-report-0.23-disable-rpm.patch
@@ -0,0 +1,19 @@
+--- a/python/report/plugins/bugzilla/__init__.py
++++ b/python/report/plugins/bugzilla/__init__.py
+@@ -115,8 +115,6 @@ import filer
+ def sendToBugzilla(component, signature, io, bzfiler,
+ optionsDict, fileName, fileDescription):
+
+- import rpmUtils.arch
+-
+ class BugzillaCommunicationException (Exception):
+ pass
+
+@@ -298,7 +296,6 @@ def sendToBugzilla(component, signature,
+ product=bzfiler.getproduct(),
+ component=component,
+ version=bzfiler.getversion(),
+- platform=rpmUtils.arch.getBaseArch(),
+ bug_severity="medium",
+ priority="medium",
+ op_sys="Linux",
diff --git a/dev-python/python-report/files/python-report-0.23-sabayon-config.patch b/dev-python/python-report/files/python-report-0.23-sabayon-config.patch
new file mode 100644
index 00000000..32879703
--- /dev/null
+++ b/dev-python/python-report/files/python-report-0.23-sabayon-config.patch
@@ -0,0 +1,55 @@
+--- a/etc/Makefile.am
++++ b/etc/Makefile.am
+@@ -1,11 +1,9 @@
+ nobase_dist_sysconf_DATA = \
+-report.d/bugzilla.redhat.com.conf \
+-report.d/RHEL-bugzilla.redhat.com.conf \
++report.d/bugs.sabayon.org.conf \
+ report.conf \
+ report.d/ftp.conf \
+ report.d/scp.conf \
+ report.d/localsave.conf \
+-report.d/strata-test.conf \
+-report.d/RHEL.conf
++report.d/strata-test.conf
+
+ dist_man_MANS = report.conf.5
+--- a/etc/report.d/bugs.sabayon.org.conf
++++ b/etc/report.d/bugs.sabayon.org.conf
+@@ -0,0 +1,7 @@
++[bugs.sabayon.org]
++# plugin
++plugin=bugzilla
++
++# rhbz url
++bugzilla_host=bugs.sabayon.org
++
+--- a/python/report/plugins/bugzilla/__init__.py
++++ b/python/report/plugins/bugzilla/__init__.py
+@@ -1,5 +1,5 @@
+ """
+- A Report plugin to send a report to bugzilla.redhat.com.
++ A Report plugin to send a report to bugs.sabayon.org.
+ Copyright (C) 2009 Red Hat, Inc
+
+ Author(s): Gavin Romig-Koch <gavin@redhat.com>
+@@ -54,7 +54,7 @@ def displayURL(optionsDict):
+ def bugURL(optionsDict):
+ if 'bugURL' in optionsDict:
+ return optionsDict["bugURL"]
+- host = "bugzilla.redhat.com"
++ host = "bugs.sabayon.org"
+ if 'bugzilla_host' in optionsDict:
+ host = optionsDict["bugzilla_host"]
+ return "https://" + host + "/xmlrpc.cgi"
+@@ -149,8 +149,8 @@ def sendToBugzilla(component, signature,
+ else:
+ version = filer.getVersion()
+
+- bzfiler = filer.BugzillaFiler("https://bugzilla.redhat.com/xmlrpc.cgi",
+- "http://bugzilla.redhat.com",
++ bzfiler = filer.BugzillaFiler("https://bugs.sabayon.org/xmlrpc.cgi",
++ "http://bugs.sabayon.org",
+ version, product)
+
+ if not bzfiler or not bzfiler.supportsFiling() or not bzfiler.bugUrl:
diff --git a/dev-python/python-report/python-report-0.10-r1.ebuild b/dev-python/python-report/python-report-0.10-r1.ebuild
new file mode 100644
index 00000000..52260467
--- /dev/null
+++ b/dev-python/python-report/python-report-0.10-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="3"
+
+EGIT_REPO_URI="git://git.fedorahosted.org/report.git"
+EGIT_COMMIT="${PV}"
+inherit base git-2 autotools eutils
+
+DESCRIPTION="Provides a single configurable problem/bug/issue reporting API."
+HOMEPAGE="http://git.fedoraproject.org/git/?p=report.git;a=summary"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="app-arch/rpm
+ net-misc/curl"
+RDEPEND="dev-libs/openssl
+ net-misc/curl
+ dev-libs/libxml2"
+
+src_prepare() {
+
+ epatch "${FILESDIR}"/${P}-sabayon-defaults.patch
+ epatch "${FILESDIR}"/${P}-disable-rpm.patch
+ epatch "${FILESDIR}"/${P}-fix-version-detection.patch
+
+ eautoreconf || die "cannot run eautoreconf"
+ autoreconf -i || die "wtf"
+ eautomake || die "cannot run eautomake"
+}
+
+src_configure() {
+ econf --prefix=/usr || die "configure failed"
+}
+
+src_compile() {
+ # workaround crappy build system
+ mkdir -p "${S}/python/report/templates/RHEL-template/bugzillaCopy"
+ touch "${S}/python/report/templates/RHEL-template/bugzillaCopy/VERSION"
+
+ emake || die "make failed"
+}
+
+src_install() {
+ base_src_install
+
+ # remove Red Hat stuff
+ rm "${D}"/etc/report.d/RHEL.ini
+ rm "${D}"/etc/report.d/dropbox.redhat.com.ini
+ rm "${D}"/etc/report.d/bugzilla.redhat.com.ini
+
+ # XXX: {not yet implemented} install Sabayon configuration
+ # cp "${FILESDIR}"/bugs.sabayon.org.ini "${D}/etc/report.d/"
+ find "${D}"/ -name "bugzilla-template" -type d | xargs rm -rf
+ find "${D}"/ -name "RHEL-template" -type d | xargs rm -rf
+ find "${D}"/ -name "strata-template" -type d | xargs rm -rf
+
+}
diff --git a/dev-python/python-report/python-report-0.23.ebuild b/dev-python/python-report/python-report-0.23.ebuild
new file mode 100644
index 00000000..537701dd
--- /dev/null
+++ b/dev-python/python-report/python-report-0.23.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+EGIT_REPO_URI="git://git.fedorahosted.org/report.git"
+EGIT_COMMIT="${PV}"
+inherit git-2 autotools eutils
+
+DESCRIPTION="Provides a single configurable problem/bug/issue reporting API."
+HOMEPAGE="http://git.fedoraproject.org/git/?p=report.git;a=summary"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="app-arch/rpm
+ net-misc/curl"
+RDEPEND="dev-libs/openssl
+ net-misc/curl
+ dev-libs/libxml2
+ >=app-misc/rogentos-version-1"
+
+src_prepare() {
+
+ epatch "${FILESDIR}"/${P}-sabayon-config.patch
+ epatch "${FILESDIR}"/${P}-disable-rpm.patch
+ epatch "${FILESDIR}"/${P}-disable-Werror.patch
+
+ eautoreconf || die "cannot run eautoreconf"
+}
+
+src_configure() {
+ econf --prefix=/usr || die "configure failed"
+
+ # Create some kind of version file to suit the build system
+ mkdir -p "${S}"/python/report/plugins/RHEL-bugzilla/bugzillaCopy || die
+ touch "${S}"/python/report/plugins/RHEL-bugzilla/bugzillaCopy/VERSION || die
+}
+
+src_install() {
+ default
+ # remove Red Hat stuff
+ rm -rf "${D}"/python/report/plugins/{strata,RHEL-bugzilla} || die
+}
diff --git a/dev-python/pytox/metadata.xml b/dev-python/pytox/metadata.xml
new file mode 100644
index 00000000..cc3fe249
--- /dev/null
+++ b/dev-python/pytox/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>maintainer-wanted@gentoo.org</email>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-python/pytox/pytox-9999.ebuild b/dev-python/pytox/pytox-9999.ebuild
new file mode 100644
index 00000000..448efcc1
--- /dev/null
+++ b/dev-python/pytox/pytox-9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+PYTHON_COMPAT=( python{2_7,3_3} )
+
+inherit distutils-r1 eutils
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit git-2
+ EGIT_REPO_URI="https://github.com/aitjcize/PyTox.git"
+else
+ SRC_URI="https://github.com/aitjcize/PyTox/archive/${PV}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Python bindings for the Tox library"
+HOMEPAGE="https://github.com/aitjcize/PyTox"
+LICENSE="GPL-2"
+SLOT="0"
+
+RDEPEND="net-libs/tox"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ epatch_user
+} \ No newline at end of file